Retrieve a modifier
curl --request GET \
--url https://server.chataigne.ai/v1/locations/{location_id}/catalogs/{catalog_id}/modifier_groups/{modifier_group_id}/modifiers/{modifier_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://server.chataigne.ai/v1/locations/{location_id}/catalogs/{catalog_id}/modifier_groups/{modifier_group_id}/modifiers/{modifier_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://server.chataigne.ai/v1/locations/{location_id}/catalogs/{catalog_id}/modifier_groups/{modifier_group_id}/modifiers/{modifier_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "bacon",
"name": "Bacon",
"price": {
"amount": 12.9,
"currency": "EUR"
},
"disabled": false,
"out_of_stock": false,
"restrictions": [],
"price_overrides": [],
"object": "modifier",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"image_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}Catalog modifiers
Retrieve a modifier
GET
/
v1
/
locations
/
{location_id}
/
catalogs
/
{catalog_id}
/
modifier_groups
/
{modifier_group_id}
/
modifiers
/
{modifier_id}
Retrieve a modifier
Authorizations
Location/organization API key.
Path Parameters
Response
The modifier.
Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]{0,127}$Example:
"bacon"
Example:
"Bacon"
Show child attributes
Show child attributes
Whether the resource is hidden and cannot be ordered.
Whether the resource is temporarily unavailable while remaining visible.
Availability windows. The resource is available when any restriction matches.
Maximum array length:
100Show child attributes
Show child attributes
Conditional prices. The matching override with the most specific conditions wins.
Maximum array length:
100Show child attributes
Show child attributes
Available options:
modifier